import Ember from 'ember'
possible_modules = ['kbt_endpoint', 'wba_mailbox']
export default Ember.Controller.extend
  possible_source_files: ["net_order", "net_task"]
  selected_source_files: []
  kbt_endpoint: Ember.Object.create(active: false, config: {})
  wba_mailbox: Ember.Object.create(active: true, config: {})
  activated_modules: Ember.computed "kbt_endpoint.active", "wba_mailbox.active", ->
    activated = Ember.A()
    for key in possible_modules
      activated.push Ember.Object.create(name: key) if @get("#{key}.active")
    activated
